<html>
<head>
<title>Sun Java System Instant Messenger</title>
</head>
<body bgcolor="#ffffff">
<center>
<table cellpadding=8 width="80%">
<tr valign=top>
<td>        
        <font size=+1>Attention! 
        </font>
</td>
<td>        
        <font size=+1>
		      Do not close this browser window 
                      or load another web page in this window 
                      as long as you are using Instant Messenger.
        </font>
</td>
</tr>
<tr><td colspan=2>
<%
 String locale = (String)request.getAttribute("locale");
 String g_url = (String)request.getAttribute("gateway_url");
 String dname = (String)request.getAttribute("domain");
 String invite = (String)request.getAttribute("auto_invite");
 String uid = (String)request.getAttribute("uid");
 String token = (String)request.getAttribute("token");
 String usessl = (String)request.getAttribute("use_ssl");
 String archive = (String)request.getAttribute("archive_control");
 String server = (String)request.getAttribute("server");
 String codebase = (String)request.getAttribute("codebase");
 String logconfig = (String)request.getAttribute("logconfig");

//Required for backward compatibilty
 if (invite == null) 
    invite = request.getParameter("username");

 if (server == null) 
    server = request.getParameter("server");
 
 if (locale == null) 
    locale = request.getLocale().toString();
 
 if (codebase == null) {
    StringBuffer url = request.getRequestURL(); 
    codebase = url.substring(0,url.lastIndexOf("/"));
 }

 StringBuffer jars = new StringBuffer("messenger.jar,imdesktop.jar,imnet.jar,")
                        .append(locale)
                        .append("/imres.jar,")
                        .append(locale)
                        .append("/imbrand.jar,icalendar.jar");
%>

<OBJECT classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93"
	WIDTH=150 
	HEIGHT=33  
	codebase="http://java.sun.com/products/plugin/1.4/jinstall-1_4-win32.cab">
<PARAM NAME="type" VALUE="application/x-java-applet;version=1.4">
<PARAM NAME=CODEBASE VALUE="<%= codebase %>">
<PARAM NAME=CODE VALUE="com.iplanet.im.client.iIMApplet.class" >
<PARAM NAME=CACHE_OPTION VALUE="Plugin">
<PARAM NAME=CACHE_ARCHIVE VALUE="<%= jars %>">
<PARAM NAME="scriptable" VALUE="false">
<PARAM NAME="server" VALUE="<%= server %>">
<% if (uid != null) { %>
    <PARAM NAME="uid" VALUE="<%= uid %>">
<% }
   if (token != null) { %>
    <PARAM NAME="token" VALUE="<%= token %>">
<% }
   if (dname != null) { %>
    <PARAM NAME="domain" VALUE="<%= dname %>">
<% } 
   if (locale != null) { %>
    <PARAM NAME="locale" VALUE="<%= locale %>">
<% }
   if (usessl != null) { %>
    <PARAM NAME="usessl" VALUE="<%= usessl %>">
<% }
   if (archive != null) { %>
    <PARAM NAME="archive_control" VALUE="<%= archive %>">
<% } 
   if (invite != null) { %>
    <PARAM NAME="autoinvite" VALUE="<%= invite %>">
<% } 
   if (g_url != null) { %>
    <PARAM NAME="gateway_url" VALUE="<%= g_url %>">
<% } 
   if (logconfig != null) { %>
     <PARAM NAME="logconfig" VALUE="<%= logconfig %>">
<% } %> 

<COMMENT></COMMENT>
<EMBED 	TYPE="application/x-java-applet;version=1.4"  
	WIDTH=150 
	HEIGHT=33  
	PLUGINSPAGE="http://java.sun.com/products/plugin/1.4/plugin-install.html" 
	CODEBASE="<%= codebase %>" 
	CODE="com.iplanet.im.client.iIMApplet.class" 
	CACHE_OPTION="Plugin" 
	CACHE_ARCHIVE="<%= jars %>" 
	ARCHIVE="<%= jars %>" 
	SCRIPTABLE=false
	server="<%= server %>"
<% if (uid != null) { %>
        uid="<%= uid %>"
<% }
   if (token != null) { %>
        token="<%= token %>"
<% }
   if (locale != null) { %>
        locale="<%= locale %>"
<% }
   if (usessl != null) { %>
        usessl="<%= usessl %>"
<% }
   if (archive != null) { %>
        archive_control="<%= archive %>"
<% }
   if (dname != null) { %>
        domain="<%= dname %>"
<% }
   if (invite != null) { %>
        autoinvite="<%= invite %>"
<% }
   if (g_url != null) { %>
        gateway_url="<%= g_url %>"
<% } 
   if (logconfig != null) { %>
        logconfig="<%= logconfig %>"
<% } %> 

>
</EMBED>
<NOEMBED>
</NOEMBED>
</OBJECT>

</td>
</tr>
</table>
</center>
</body>
</html>
